# Makefile 1.5 98/05/14

.SUFFIXES:
.SUFFIXES: .in .html

M4 = m4

ALL = architecture.html runbench.html webclient.html webmaster.html \
		index.html webstone.html webstonegui.html

INCS = mc_html_head.h mc_html_foot.h copyright.h testbed.h


default: $(ALL)

index.html: index.in $(INCS)

architecture.html: architecture.in $(INCS)

runbench.html: runbench.in testbed.h $(INCS)

webclient.html: webclient.in $(INCS)

webmaster.html: webmaster.in $(INCS)

webstone.html: webstone.in $(INCS)

webstonegui.html: webstonegui.in $(INCS)

testbed.h: testbed.help
	perl getvars.pl > testbed.h

clean:
	rm -f testbed.h

clobber: clean
	rm -f $(ALL)

.in.html:
	$(M4) $*.in > $*.html
